# -*- coding: UTF-8 -*-
from cbb.business.operate.checkitems import check_nfs_switch_match
from cbb.frame.checkitem.context_adapter import PatchContext


def execute(context):
    """
    NFS4.1服务开关检查
    :param context:
    :return:
    """
    patch_context = PatchContext(context)
    status, err_msg, _, _ = \
        check_nfs_switch_match.execute(patch_context.get_context())
    return patch_context.get_result(status, err_msg)
